Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.griffon.runtime.builder
[Groovy] Class UberBuilderRegistration

    java.lang.Object
      org.codehaus.griffon.runtime.builder.UberBuilderRegistration

    class UberBuilderRegistration
    extends Object

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static Closure[]` | `EMPTY_CLOSURE_ARRAY`

Property Summary
`FactoryBuilderSupport` | `builder`
`Factory` | `factory`
`String` | `prefixString`

Constructor Summary
`UberBuilderRegistration(String prefixString, FactoryBuilderSupport builder)`
`UberBuilderRegistration(String prefixString, Factory factory)`

Method Summary
`Closure` | `nominateExplicitMethod(String name)`
`Closure[]` | `nominateExplicitProperty(String name)`
`Factory` | `nominateFactory(String name)`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_CLOSURE_ARRAY

    private static final Closure[] EMPTY_CLOSURE_ARRAY

Property Detail

### builder

    FactoryBuilderSupport builder

### factory

    Factory factory

### prefixString

    String prefixString

Constructor Detail

### UberBuilderRegistration

    UberBuilderRegistration(String prefixString, FactoryBuilderSupport builder)

### UberBuilderRegistration

    UberBuilderRegistration(String prefixString, Factory factory)

Method Detail

### nominateExplicitMethod

    Closure nominateExplicitMethod(String name)

### nominateExplicitProperty

    Closure[] nominateExplicitProperty(String name)

### nominateFactory

    Factory nominateFactory(String name)

### toString

    String toString()

Groovy Documentation